Bug 67185 - Abiword errata 0.99.5-2 released with no advisory information.
Abiword errata 0.99.5-2 released with no advisory information.
Status: CLOSED NOTABUG
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
RHN Stable
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-20 14:35 EDT by Ed Halley
Modified: 2007-04-18 12:43 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-15 01:27:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Halley 2002-06-20 14:35:10 EDT
Description of Problem:
  Errata for package abiword-0.99.5-2 was released to RHN without any available
advisory information, and only with cursory changelog.

  Lack of this kind of detailed information does not offer network managers
enough information to decide whether or not to accept or delay adoption of a new
package.

Actual Results:

  The up2date agent said that no advisory information was available for package
abiword-0.99.5-2, updating from abiword-0.99.4-1, when checked on 20 June 2002
2:15pm EDT.

  The included RPM changelog did not give enough information to understand why
the package was posted for errata.

  The full changelog post-Valhalla release is as follows:

  * Sun Apr 14 2002 Jeremy Katz <katzj@redhat.com> 0.99.5-1
  - zh_CN and zh_TW fonts.dir were flipped
  - update to 0.99.5 as it fixes some major bugs
  - define ABI_BUILD_VERSION so the about screen gives us a version
  * Mon Apr 08 2002 Bennhard Rosenkraenzer <bero@redhat.com> 0.99.4-2
  - 1st try at fixing up CJK (#61590)
  - #if 0'ify font warning dialog (#62909, #64556)

Expected Results:

  Enough information in an up2date errata advisory to help me understand whether
or not the new package's fixes clearly override the stability of remaining with
an older and established package.  Without this information, the credibility of
the errata is suspect, and the tradeoff between security and stability is not known.

  Is this a local root exploit being closed?  Is this a controversial font
foundry problem being addressed (which abiword is known for)?  Is this a data
integrity problem being rectified?  The changelog merely says it "fixes some
major bugs."

Additional Information:

Also note the available abiword errata package's number was misparsed by the
rhn_applet which invokes up2date.  I don't know if it's related to this bug or
not, but I will connect it.  See bug #67183
Comment 1 Cristian Gafton 2002-08-15 01:27:06 EDT
misa, please investigate and figure out what happened - or if this is still an
issue.
Comment 2 Mihai Ibanescu 2002-08-15 10:48:59 EDT
The specified version of abiword is part of the pristine Red Hat 7.3
distribution. We have previously released Red Hat 7.3 CDs with a different
version of abiword. RHN is aware of the bad impact this sort of changes will create.

The package is publically downloadable from Red Hat's ftp site, from the 7.3
distribution directory.

ftp://ftp.redhat.com/pub/redhat/linux/7.3/en/os/i386/RedHat/RPMS/abiword-0.99.5-2.i386.rpm

Note You need to log in before you can comment on or make changes to this bug.